> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Customers

> This API can be used to get all the customers created.



## OpenAPI

````yaml /api-reference/customers/customer.json post /customer/v1.0/getAllCustomer
openapi: 3.0.3
info:
  title: customer API
  description: API's to add and get customer information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /customer/v1.0/getAllCustomer:
    post:
      tags:
        - Customer
      summary: Get All Customers
      description: This API can be used to get all the customers created.
      operationId: getAllCustomers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  description: Different filters can be applied to query the customers.
                  properties:
                    fromDate:
                      type: string
                      description: Filter customers according to the creation date.
                    toDate:
                      type: string
                      description: Filter customers according to the creation date.
                    clientReferenceId:
                      type: string
                      description: Partner's reference ID.
                    kycRequired:
                      type: boolean
                      description: Filter those customers whose KYC is required.
                    deleted:
                      type: boolean
                      description: Filter customers according to their deleted status.
                page:
                  type: number
                  minimum: 1
                  default: 1
                  description: >-
                    To use for pagination. The default value is 1 and the
                    accepted value is only greater than or equal to 1.
      responses:
        '200':
          description: All the customers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAllCustomer'
components:
  schemas:
    getAllCustomer:
      type: object
      properties:
        status:
          type: string
          description: Status response
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: array
          description: All the customers
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.